/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
'use strict';

describe('Smoke', function() {
  var hook;

  beforeEach(function(){
    var captureStream = require('./helpers/capture-stream');
    hook = captureStream(process.stdout);
  });

  afterEach(function(){
    hook.unhook();
  });

  it('run() is called', function(){
    var build = require('../build');

    build.run();

    expect(hook.captured()).to.be.equal('');
  })
});

